Subject: RE: bug#14714: 24.3.50; `isearch-filter-predicate(s)'

From: Drew Adams <[email-masked]>
Date: Wed, 26 Jun 2013 07:19:34 -0700 (PDT)

> > Can you please say why you think so?
> > Do you imagine it is obvious?  It is not, to me at least.
> 
> Please don't hijack this discussion.

I am not hijacking anything.  I am the one who filed this bug report.

And I proposed a simple fix for it from the outset - a minor correction of what Juri had already coded and along the lines of what has been done in the past.

You proposed a different fix.  Fine.  But you gave no reason - nothing about any problems with the more usual approach or any advantages of your new approach.

I asked about that.  I am interested in learning the advantages of your novel approach of (IIUC) advising a single hook function as a substitute for allowing for a sequence of hook functions.

I did not say that your solution is not a good one.  I assume the contrary, in fact.  I am asking to understand why you think it is a better one.  That's all.

Understanding this can help with other code as well, presumably.  Is there a reason why you do not want to share your understanding?